{% extends 'layout/basic.html' %}
{% load bbcode_tags %}
{% load bootstrap4 %}
{% block content %}
    {% if message %}
        <ul>
        {% for message in messages %}
            <li>
                {{ message }}
            </li>
        {% endfor %}
        </ul>
    {% endif %} 
    {% for bb in bbs %}
        {% ifchanged %}
            <div class="{% cycle 'bb1' 'bb2' 'bb3' %}">
                <!-- на каждой итерации к div будет применятся следующий класс и так по кругу -->
                <h2><a href="{% url 'detail' pk=bb.id %}">{{ bb.title }}</a></h2>
                <p>{% bbcode bb.content %}</p>
                <!-- Если у нас в данном поле модели находится просто TextField с опред. Bbcode тегами, то таким образом мы преобразуем всё это в HTML код-->
                <!--Если бы в модели вместо TextField было BbcodeTextField тогда нужно было бы использовать bb.content.rendered-->
                <!--Преобразования доступны также и в контроллере с помощь метода get_parser()-->

                <p><a href="{% url 'by_rubric' rubric_id=bb.rubric.id %}">{{ bb.rubric.name }}</a></p>
                <p>{{ bb.published|date:'d.m.Y H:i:s' }}</p>
                {% resetcycle %}
                <!-- сбрасывает последний cycle, если нужно выбрать конкретный нужно cycle объявить в формате {% cycle 'bb1' 'bb2' as b %} и указать имя после as-->
            </div>
            {#            <div>#}
            {#                {{ "[list=I][*]one[*]two[/list]"|bbcode|safe }} <!--пример фильтра bbcode, safe нужен для корректного вывода при наличии недопустимых симвлов-->#}
            {#                {{ "[code]onetwo[/code]"|bbcode|safe }}#}
            {##}
            {#            </div>#}

        {% endifchanged %}
    {% endfor %}
    <div>
        {% if page.has_next %}
            <a href="?page={{ page.next_page_number }}">&lt;</a>
            <!--{% bootstrap_pagination page %}-->
        {% endif %}
        Часть №{{ page.number }} из {{ page.paginator.num_pages }}
        {% if page.has_previous %}
            <a href="?page={{ page.previous_page_number }}">&gt;</a>
        {% endif %}
    </div>

{% endblock %}

